faustctl
Prev | Orchestra Opcodes and Operators | Next

## faustctl

faustctl — Adjusts a given control in a Faust DSP instance.

## Description

Plugin opcode in faustcsound. This opcode is part of the plugin repository and has to be installed separately. The plugin repository can be found here: https://github.com/csound/plugins

Faustctl will set a given control in a running faust program

## Syntax

    faustctl idsp,Scontrol,kval

## Initialization

“Scontrol” -- a string containing the control name

“idsp” -- a handle to an existing Faust DSP instance

## Performance

“kval” -- value to which the control will be set.

## Examples

Here is an example of the faustctl opcode. It uses the file faustctl.csd.

Example 291. Example of the faustctl opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    -odac
    </CsOptions>
    <CsInstruments>
    instr 1
     ain1 oscili 0dbfs/2, 440
     idsp,a1 faustgen {{
       gain = hslider("vol",1,0,1,0.01);
       process = (_ * gain);
      }}, ain1
     k1 line  0, p3, 1
     faustctl idsp, "vol", k1
       out a1
    endin
    </CsInstruments>
    <CsScore>
    i1 0 10
    </CsScore>
    </CsoundSynthesizer>

## See also

Faust Opcodes

## Credits

Author: Victor Lazzarini, 2013

Prev | Up | Next
faustdsp | Home | faustgen